kas noauthentication       AFS Commands    kas noauthentication


NAME

   kas  noauthentication -- discard  authenticated identity in

                       interactive mode.


   (kas) noauthentication  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   (kas) n  [-h]

DESCRIPTION

   Instructs the Authentication Server to close the (presumably
   authenticated)   connection   established  when  the  issuer
   entered interactive mode.  It opens  a  new  unauthenticated
   connection,  assigning  the issuer the unprivileged identity
   anonymous.  It does not actually  flush  the  user's  tokens
   from    the    Cache   Manager's   memory   (as   unlog   or
   kas forgetticket do).

   This command is useful only in interactive  mode,  in  which
   case  the issuer should omit the kas command suite name.  If
   issued in non-interactive mode, it has no effect.

   Like the -noauth flag available on a few kas commands (e.g.,
   kas interactive)  this  command  is  only  useful in unusual
   circumstances.  During normal operation, there is  no  point
   to   throwing   away  an  authenticated  identity  (becoming
   anonymous).   The   Authentication   Server    still    does
   authorization  checking and will not allow anonymous, who is
   unprivileged by definition, to perform privileged commands.

ARGUMENTS

   -help           prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  4.3  in  the
                   Reference Manual for more details.

EXAMPLE

   The  following  discards the authentication information with
   which the user entered interactive mode.

   kas> no



PRIVILEGE REQUIRED

   None.  Because this command may  be  issued  only  while  in
   interactive mode, no password is prompted for.

MORE INFORMATION

   kas interactive
